Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.hub.service
Interface IntraHubPatientService

All Known Implementing Classes:
  IntraHubPatientServiceImpl

    public interface IntraHubPatientService

Interface for patient specific intrahub services Contains basic requests for this kind of services Default impl : `IntraHubPatientServiceImpl`

Method Summary
`PersonType` | `getPatient(PatientIdType patientId)` Gets the patient.
`ConsentType` | `getPatientConsent(SelectGetPatientConsentType patientConsent)` Gets the patient consent.
`PersonType` | `putPatient(PersonType patient)` Put patient.
`void` | `putPatientConsent(ConsentType patientConsent)` Put patient consent.
`void` | `revokePatientConsent(ConsentType patientConsent)` Revoke patient consent.

Method Detail

### putPatient

    PersonType putPatient(PersonType patient)
                          throws TechnicalConnectorException,
                                 IntraHubBusinessConnectorException

  Put patient.

  Parameters:
    `patient` - the patient
  Returns:
    PersonType
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception
    `BusinessConnectorException`

### getPatient

    PersonType getPatient(PatientIdType patientId)
                          throws TechnicalConnectorException,
                                 IntraHubBusinessConnectorException

  Gets the patient.

  Parameters:
    `patientId` - the patient id
  Returns:
    the patient
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception
    `BusinessConnectorException`

### putPatientConsent

    void putPatientConsent(ConsentType patientConsent)
                           throws TechnicalConnectorException,
                                  IntraHubBusinessConnectorException

  Put patient consent.

  Parameters:
    `patientConsent` - the patient consent
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception
    `BusinessConnectorException`

### getPatientConsent

    ConsentType getPatientConsent(SelectGetPatientConsentType patientConsent)
                                  throws TechnicalConnectorException,
                                         IntraHubBusinessConnectorException

  Gets the patient consent.

  Parameters:
    `patientConsent` - the patient consent
  Returns:
    the patient consent
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception
    `BusinessConnectorException`

### revokePatientConsent

    void revokePatientConsent(ConsentType patientConsent)
                              throws TechnicalConnectorException,
                                     IntraHubBusinessConnectorException

  Revoke patient consent.

  Parameters:
    `patientConsent` - the patient consent
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception
    `BusinessConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSMIDWIFE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.